diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/import.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/import.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/import.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/import.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Library that provides common import functions that are used by import plugins
  *
- * @version $Id: import.lib.php 11451 2008-08-01 20:02:21Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/information_schema_relations.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/information_schema_relations.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/information_schema_relations.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/information_schema_relations.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: information_schema_relations.lib.php 10142 2007-03-20 10:32:13Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/ip_allow_deny.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/ip_allow_deny.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/ip_allow_deny.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/ip_allow_deny.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -4,7 +4,7 @@
  * This library is used with the server IP allow/deny host authentication
  * feature
  *
- * @version $Id: ip_allow_deny.lib.php 10142 2007-03-20 10:32:13Z cybot_tm $
+ * @version $Id$
  */
 
 
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/js_escape.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/js_escape.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/js_escape.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/js_escape.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -6,7 +6,7 @@
  * @author Michal Čihař <michal@cihar.com>
  * @package phpMyAdmin
  *
- * @version $Id: js_escape.lib.php 11604 2008-09-22 14:09:44Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/kanji-encoding.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/kanji-encoding.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/kanji-encoding.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/kanji-encoding.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -9,7 +9,7 @@
  *
  * 2002/2/22 - by Yukihiro Kawada <kawada@den.fujifilm.co.jp>
  *
- * @version $Id: kanji-encoding.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/language.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/language.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/language.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/language.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * phpMyAdmin Language Loading File
  *
- * @version $Id: language.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/List.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/List.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/List.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/List.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * hold the PMA_List base class
  *
- * @version $Id: List.class.php 10786 2007-10-14 12:23:22Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/List_Database.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/List_Database.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/List_Database.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/List_Database.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * holds the PMA_List_Database class
  *
- * @version $Id: List_Database.class.php 10913 2007-11-09 21:24:40Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/mcrypt.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/mcrypt.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/mcrypt.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/mcrypt.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: mcrypt.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/mult_submits.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/mult_submits.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/mult_submits.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/mult_submits.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: mult_submits.inc.php 11344 2008-06-24 17:33:50Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/mysql_charsets.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/mysql_charsets.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/mysql_charsets.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/mysql_charsets.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: mysql_charsets.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/navigation_header.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/navigation_header.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/navigation_header.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/navigation_header.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * displays the pma logo, links and db and server selection in left frame
  *
- * @version $Id: navigation_header.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/ob.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/ob.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/ob.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/ob.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -9,7 +9,7 @@
  * Check for all the needed functions for output buffering
  * Make some wrappers for the top and bottoms of our files.
  *
- * @version $Id: ob.lib.php 10892 2007-11-01 20:48:43Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/opendocument.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/opendocument.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/opendocument.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/opendocument.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Simple interface for creating OASIS OpenDocument files.
  *
- * @version $Id: opendocument.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/parse_analyze.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/parse_analyze.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/parse_analyze.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/parse_analyze.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: parse_analyze.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/plugin_interface.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/plugin_interface.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/plugin_interface.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/plugin_interface.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Generic plugin interface.
  *
- * @version $Id: plugin_interface.lib.php 11421 2008-07-23 16:55:33Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/relation_cleanup.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/relation_cleanup.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/relation_cleanup.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/relation_cleanup.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used for cleaning up phpMyAdmin tables
  *
- * @version $Id: relation_cleanup.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/relation.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/relation.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/relation.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/relation.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Set of functions used with the relation and pdf feature
  *
- * @version $Id: relation.lib.php 11376 2008-07-09 14:17:19Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/sanitizing.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/sanitizing.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/sanitizing.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/sanitizing.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,22 +2,31 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: sanitizing.lib.php 10298 2007-04-17 17:08:12Z lem9 $
+ * @version $Id$
  */
 
 /**
  * Sanitizes $message, taking into account our special codes
- * for formatting
+ * for formatting.
+ *
+ * If you want to include result in element attribute, you should escape it.
+ *
+ * Examples:
+ *
+ * <p><?php echo PMA_sanitize($foo); ?></p>
+ *
+ * <a title="<?php echo PMA_sanitize($foo, true); ?>">bar</a>
  *
  * @uses    preg_replace()
  * @uses    strtr()
  * @param   string   the message
+ * @param   boolean  whether to escape html in result
  *
  * @return  string   the sanitized message
  *
  * @access  public
  */
-function PMA_sanitize($message)
+function PMA_sanitize($message, $escape = false)
 {
     $replace_pairs = array(
         '<'         => '&lt;',
@@ -65,6 +74,10 @@ function PMA_sanitize($message)
         $message = preg_replace($pattern, '<a href="\1" target="\2">', $message);
     }
 
+    if ($escape) {
+        $message = htmlspecialchars($message);
+    }
+
     return $message;
 }
 ?>
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/select_lang.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/select_lang.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/select_lang.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/select_lang.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * phpMyAdmin Language Loading File
  *
- * @version $Id: select_lang.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/select_server.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/select_server.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/select_server.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/select_server.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Code for displaying server selection written by nijel
  *
- * @version $Id: select_server.lib.php 10142 2007-03-20 10:32:13Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/server_common.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/server_common.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/server_common.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/server_common.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -7,7 +7,7 @@
  * @uses    PMA_DBI_fetch_result()
  * @uses    PMA_DBI_QUERY_STORE
  * @uses    $userlink
- * @version $Id: server_common.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/server_links.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/server_links.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/server_links.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/server_links.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: server_links.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/session.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/session.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/session.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/session.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * session handling
  *
- * @version $Id: session.inc.php 11450 2008-08-01 19:15:01Z lem9 $
+ * @version $Id$
  * @todo    add failover or warn if sessions are not configured properly
  * @todo    add an option to use mm-module for session handler
  * @see     http://www.php.net/session
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/sqlparser.data.php phpMyAdmin-2.11.10.1-all-languages/libraries/sqlparser.data.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/sqlparser.data.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/sqlparser.data.php	2010-08-20 13:47:14.000000000 +0700
@@ -19,7 +19,7 @@
  * It's easier to use only uppercase for proper sorting. In case of
  * doubt, use the DEBUG code after this function's definition.
  *
- * @version$Id: sqlparser.data.php 11345 2008-06-24 17:51:49Z lem9 $
+ * @version$Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/sqlparser.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/sqlparser.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/sqlparser.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/sqlparser.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -27,7 +27,7 @@
  * page for it to work, I recommend '<link rel="stylesheet" type="text/css"
  * href="syntax.css.php" />' at the moment.)
  *
- * @version $Id: sqlparser.lib.php 11513 2008-08-28 16:17:53Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
@@ -152,7 +152,7 @@ if (! defined('PMA_MINIMUM_COMMON')) {
     {
         global $SQP_errorString;
         $debugstr = 'ERROR: ' . $message . "\n";
-        $debugstr .= 'SVN: $Id: sqlparser.lib.php 11513 2008-08-28 16:17:53Z lem9 $' . "\n";
+        $debugstr .= 'SVN: $Id$' . "\n";
         $debugstr .= 'MySQL: '.PMA_MYSQL_STR_VERSION . "\n";
         $debugstr .= 'USR OS, AGENT, VER: ' . PMA_USR_OS . ' ' . PMA_USR_BROWSER_AGENT . ' ' . PMA_USR_BROWSER_VER . "\n";
         $debugstr .= 'PMA: ' . PMA_VERSION . "\n";
@@ -2425,7 +2425,7 @@ if (! defined('PMA_MINIMUM_COMMON')) {
             }
             $after                 .= "\n";
 */
-            $str .= $before . ($mode=='color' ? PMA_SQP_formatHTML_colorize($arr[$i]) : $arr[$i]['data']). $after;
+            $str .= $before . ($mode=='color' ? PMA_SQP_formatHTML_colorize($arr[$i]) : htmlspecialchars($arr[$i]['data'])). $after;
         } // end for
         if ($mode=='color') {
             $str .= '</span>';
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/sql_query_form.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/sql_query_form.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/sql_query_form.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/sql_query_form.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * functions for displaying the sql query form
  *
- * @version $Id: sql_query_form.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  * @usedby  server_sql.php
  * @usedby  db_sql.php
  * @usedby  tbl_sql.php
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/sqlvalidator.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/sqlvalidator.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/sqlvalidator.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/sqlvalidator.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -25,7 +25,7 @@
 *
 * @author   Robin Johnson <robbat2@users.sourceforge.net>
 *
-* @version  $Id: sqlvalidator.class.php 11335 2008-06-21 14:01:54Z lem9 $
+* @version  $Id$
 */
 if (! defined('PHPMYADMIN')) {
     exit;
@@ -179,7 +179,7 @@ if (!function_exists('class_exists') || 
             $this->username                      = 'anonymous';
             $this->password                      = '';
             $this->calling_program               = 'PHP_SQLValidator';
-            $this->calling_program_version       = '$Revision: 11335 $';
+            $this->calling_program_version       = '$Revision$';
             $this->target_dbms                   = 'N/A';
             $this->target_dbms_version           = 'N/A';
             $this->connection_technology         = 'PHP';
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/sqlvalidator.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/sqlvalidator.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/sqlvalidator.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/sqlvalidator.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -27,7 +27,7 @@
  *
  * Also set a username and password if you have a private one
  *
- * @version $Id: sqlvalidator.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/StorageEngine.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/StorageEngine.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/StorageEngine.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/StorageEngine.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * Library for extracting information about the available storage engines
  *
- * @version $Id: StorageEngine.class.php 10654 2007-09-20 16:25:32Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/string.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/string.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/string.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/string.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -12,7 +12,7 @@
  *
  * The SQL Parser code relies heavily on these functions.
  *
- * @version $Id: string.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  * @uses    PMA_PHP_INT_VERSION
  * @uses    PMA_dl()
  * @uses    extension_loaded()
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/string_mb.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/string_mb.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/string_mb.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/string_mb.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -12,7 +12,7 @@
  *
  * The SQL Parser code relies heavily on these functions.
  *
- * @version $Id: string_mb.lib.php 10294 2007-04-17 11:59:09Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/string_native.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/string_native.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/string_native.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/string_native.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -12,7 +12,7 @@
  *
  * The SQL Parser code relies heavily on these functions.
  *
- * @version $Id: string_native.lib.php 10294 2007-04-17 11:59:09Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/string_type_ctype.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/string_type_ctype.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/string_type_ctype.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/string_type_ctype.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -12,7 +12,7 @@
  *
  * The SQL Parser code relies heavily on these functions.
  *
- * @version $Id: string_type_ctype.lib.php 10294 2007-04-17 11:59:09Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/string_type_native.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/string_type_native.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/string_type_native.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/string_type_native.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -12,7 +12,7 @@
  *
  * The SQL Parser code relies heavily on these functions.
  *
- * @version $Id: string_type_native.lib.php 10294 2007-04-17 11:59:09Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/Table.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/Table.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/Table.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/Table.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: Table.class.php 11353 2008-06-27 14:27:18Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_common.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_common.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_common.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_common.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_common.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_indexes.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_indexes.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_indexes.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_indexes.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * function library for handling table indexes
  *
- * @version $Id: tbl_indexes.lib.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_info.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_info.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_info.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_info.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_info.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_links.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_links.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_links.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_links.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_links.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_properties.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_properties.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_properties.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_properties.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_properties.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_replace_fields.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_replace_fields.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_replace_fields.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_replace_fields.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -17,7 +17,7 @@
  *
  * note: grab_globals has extracted the fields from _FILES or HTTP_POST_FILES
  *
- * @version $Id: tbl_replace_fields.inc.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  *
  * @uses $_REQUEST
  * @uses defined()
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_triggers.lib.php phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_triggers.lib.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tbl_triggers.lib.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tbl_triggers.lib.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: tbl_triggers.lib.php 11335 2008-06-21 14:01:54Z lem9 $
+ * @version $Id$
  */
 if (! defined('PHPMYADMIN')) {
     exit;
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/tcpdf/font/LICENSE phpMyAdmin-2.11.10.1-all-languages/libraries/tcpdf/font/LICENSE
--- phpMyAdmin-2.11.9.6-all-languages/libraries/tcpdf/font/LICENSE	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/tcpdf/font/LICENSE	2010-08-20 13:47:14.000000000 +0700
@@ -95,4 +95,4 @@ dealings in this Font Software without p
 from Tavmjong Bah. For further information, contact: tavmjong @ free
 . fr.
 
-$Id: LICENSE 10140 2007-03-20 08:32:55Z cybot_tm $
+$Id$
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/Theme.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/Theme.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/Theme.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/Theme.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -3,7 +3,7 @@
 /**
  * hold PMA_Theme class
  *
- * @version $Id: Theme.class.php 11035 2008-01-05 13:33:05Z lem9 $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/Theme_Manager.class.php phpMyAdmin-2.11.10.1-all-languages/libraries/Theme_Manager.class.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/Theme_Manager.class.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/Theme_Manager.class.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: Theme_Manager.class.php 10240 2007-04-01 11:02:46Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/application_octetstream__download.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/application_octetstream__download.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/application_octetstream__download.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/application_octetstream__download.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: application_octetstream__download.inc.php 10142 2007-03-20 10:32:13Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/application_octetstream__hex.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/application_octetstream__hex.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/application_octetstream__hex.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/application_octetstream__hex.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: application_octetstream__hex.inc.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/generator.sh phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/generator.sh
--- phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/generator.sh	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/generator.sh	2010-08-20 13:47:14.000000000 +0700
@@ -1,5 +1,5 @@
 #!/bin/bash
-# $Id: generator.sh 9537 2006-10-12 16:27:13Z nijel $
+# $Id$
 #
 # Shell script that adds a new function file using a template. Should not be called directly
 # but instead by template_Generator.sh and template_generator_mimetype.sh
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/global.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/global.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/global.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/global.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -19,7 +19,7 @@
  *
  * Please provide a comment for your function, what it does and what parameters are available.
  *
- * @version $Id: global.inc.php 10142 2007-03-20 10:32:13Z cybot_tm $
+ * @version $Id$
  */
 
 /**
diff -rupN phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/image_jpeg__inline.inc.php phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/image_jpeg__inline.inc.php
--- phpMyAdmin-2.11.9.6-all-languages/libraries/transformations/image_jpeg__inline.inc.php	2009-10-13 05:28:01.000000000 +0700
+++ phpMyAdmin-2.11.10.1-all-languages/libraries/transformations/image_jpeg__inline.inc.php	2010-08-20 13:47:14.000000000 +0700
@@ -2,7 +2,7 @@
 /* vim: set expandtab sw=4 ts=4 sts=4: */
 /**
  *
- * @version $Id: image_jpeg__inline.inc.php 10239 2007-04-01 09:51:41Z cybot_tm $
+ * @version $Id$
  */
 
 /**
